Version: 1.0.20021118
Release: alt1
Name: emacs-tiny-tools
Copyright: GPL
Group: Editors
Url: http://tiny-tools.sourceforge.net/
Summary: tiny-tools package for Emacs
Summary(ru_RU.CP1251):  tiny-tools  Emacs
Requires: emacs-common

Source: tiny-tools.tar.gz
Source1: tiny-tools.el

BuildArch: noarch

# Automatically added by buildreq on Mon Nov 18 2002
BuildRequires: emacs-common emacs-X11

%description
Emacs Tiny Tools is a collection of libraries and packages, which are
designed to be OS and X/Emacs platform independent. E.g. configure load-path
automatically, URL handler, easy-delete, mail complete and many more.

%description -l ru_RU.CP1251

Tiny-tools --    ,   
,        
Emacs. ,    ,  URL
   .


%prep
%setup -n tiny-tools

%build
cd lisp/tiny
for i in *.el ; do 
	emacs -batch --eval "(progn 
	(setq load-path (append (list \".\" \"../other\" \"../../rc\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ../other
for i in *.el ; do 
	emacs -batch --eval "(progn 
	(setq load-path (append (list \".\" \"../tiny\" \"../../rc\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ../../rc
for i in *.el ; do 
	emacs -batch --eval "(progn 
	(setq load-path (append (list \".\" \"../lisp/tiny\" \"../lisp/other\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ..

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/tiny-tools/rc
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/tiny-tools/tiny
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/tiny-tools/other
install -m 644 lisp/other/*.el* $RPM_BUILD_ROOT%{_emacslispdir}/tiny-tools/other/
install -m 644 lisp/tiny/*.el* $RPM_BUILD_ROOT%{_emacslispdir}/tiny-tools/tiny/
install -m 644 rc/*.el* $RPM_BUILD_ROOT%{_emacslispdir}/tiny-tools/rc/

mkdirhier $RPM_BUILD_ROOT%{_docdir}/%{name}/html/pic
mkdirhier $RPM_BUILD_ROOT%{_docdir}/%{name}/txt
install -m 644 doc/html/*.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html/
install -m 644 doc/html/pic/*.jpg $RPM_BUILD_ROOT%{_docdir}/%{name}/html/pic/
install -m 644 doc/txt/*.txt $RPM_BUILD_ROOT%{_docdir}/%{name}/txt/
install -m 644 doc/ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}/

mkdirhier $RPM_BUILD_ROOT%{_docdir}/%{name}/contrib
install -m 644 bin/*.pl $RPM_BUILD_ROOT%{_docdir}/%{name}/contrib/
install -m 644 bin/admin.bashrc $RPM_BUILD_ROOT%{_docdir}/%{name}/contrib/
install -m 644 bin/*.pl $RPM_BUILD_ROOT%{_docdir}/%{name}/contrib/


mkdirhier $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/tiny-tools.el

%files
%defattr(-, root, root)
%doc $RPM_BUILD_ROOT%{_docdir}/%{name}/
%dir %{_emacslispdir}/tiny-tools/
%dir %{_emacslispdir}/tiny-tools/rc
%dir %{_emacslispdir}/tiny-tools/other
%dir %{_emacslispdir}/tiny-tools/tiny
%{_emacslispdir}/tiny-tools/tiny/*.el*
%{_emacslispdir}/tiny-tools/rc/*.el*
%{_emacslispdir}/tiny-tools/other/*.el*
/etc/emacs/site-start.d/*


%changelog
* Mon Nov 18 2002 Ott Alex <ott@altlinux.ru> 1.0.20021118-alt1
- Initial build for ALTLinux

